### Signal

# WebKit Download::received-data

#### Declaration

    void
    received_data (
      WebKitDownload* self,
      guint64 data_length,
      gpointer user_data
    )

#### Description [src]

This signal is emitted after response is received, every time new data has been written to the destination. It’s useful to know the progress of the download operation.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`data_length` | `guint64`
| The length of data received in bytes.